/*
    Psiphon Circumvention Platform
    Copyright (C) 2010 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MOD_PSIPHON_UTILS_SITE_RULES_DEFINED
#define MOD_PSIPHON_UTILS_SITE_RULES_DEFINED

#include <httpd.h>

const char* get_request_domain(request_rec* r);
const char* get_request_path(request_rec* r);
int request_matches_url_rule(const char* request_domain,
                             const char* request_path,
                             const char* rule_domain,
                             const char* rule_path);

#endif
