USE psiphon;
LOCK TABLES useragent WRITE;

-- facebook:
--   - Messages doesn't work.  Redirect to mobile.
INSERT IGNORE INTO useragent (domain, path, user_agent_string) VALUES ('.facebook.com', '/?sk=messages', 'Mozilla/4.0 (U; Windows CE)');

-- youtube:
--   - Upload doesn't work.  Redirect to mobile.
INSERT IGNORE INTO useragent (domain, path, user_agent_string, back_link) VALUES ('.upload.youtube.com', '/', 'Mozilla/4.0 (U; Windows CE)', 'http://www.youtube.com');

-- twitter:
--   - nothing works, redirect all to mobile
INSERT IGNORE INTO useragent (domain, path, user_agent_string) VALUES ('twitter.com', '/', 'Mozilla/4.0 (U; Windows CE)');
UNLOCK TABLES;
