#!/bin/bash


if [ $# -ne 1 ]
then
    echo "Argument required: Base directory to process"
    exit
fi

start_dir=`pwd`

cd $1

pattern="db_query""_execute"
output=""

output="${output} "`awk '/'$pattern'/ { print FILENAME ":" FNR }' \`ls -1F | grep -v /\$  | grep -v @\$\``

for dir in `ls -1p | grep /\$ | sed -e"s/[/]//g"`
do
    if [ $dir!="db_test" ]
    then
        cd $dir
        output="${output} "`awk '/'$pattern'/ { print FILENAME ":" FNR }' \`ls -1F | grep -v /\$  | grep -v @\$\``
        cd ..
    fi
done

cd $start_dir

echo ${output}
