<?php
/*
    Psiphon Circumvention Platform
    Copyright (C) 2009 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include_once($_SERVER[DOCUMENT_ROOT]."/config.php");

// If you get a 503 error, the problem is likely the SQL statements.

// We can't use db_query_execute, since it'll try to update the table we're dropping and creating.

$query = "DROP TABLE IF EXISTS db_calls";
$stmt = $config['sql']->prepare($query);
$stmt->execute(array());

$query = "CREATE TABLE db_calls ( location CHAR(32) PRIMARY KEY, count INT(11) DEFAULT 0)";
$stmt = $config['sql']->prepare($query);
$stmt->execute(array());

$db_calls = system($_SERVER[DOCUMENT_ROOT]."/db_test/db_calls.sh ".$_SERVER[DOCUMENT_ROOT]);

$db_calls_array = explode(" ", $db_calls);

echo "<h1>DB TEST RESET</h1><br><br><pre>"; print_r($db_calls_array); echo "</pre>";

foreach ($db_calls_array as $db_call)
{
    $ignore = "db.php:";
    if (strncmp($db_call, $ignore, strlen($ignore)) == 0)
    {
        continue;
    }
    
    $query = "INSERT INTO db_calls (location) VALUES (:location)";
    $stmt = $config['sql']->prepare($query);
    $stmt->execute(array(":location" => $db_call));
}

exit(1);
?>

<html><title>TEST RESET</title><head>TEST RESET</head></html>
