<?php
/*
    Psiphon Circumvention Platform
    Copyright (C) 2009 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<?

if (!isset($HTTP_POST_VARS["result"]))
{
  ?>No Results<?
  return;
}

$result = $HTTP_POST_VARS["result"];
$totalTime =$HTTP_POST_VARS["totalTime"];
$numTestPasses = $HTTP_POST_VARS["numTestPasses"];
$numTestFailures = $HTTP_POST_VARS["numTestFailures"];

$numCommandPasses = $HTTP_POST_VARS["numCommandPasses"];
$numCommandFailures = $HTTP_POST_VARS["numCommandFailures"];
$numCommandErrors = $HTTP_POST_VARS["numCommandErrors"];


$xmlText = "<selenium " .
  "result=\"$result\" " .
  "totalTime=\"$totalTime\" " .
  "numTestPasses=\"$numTestPasses\" " .
  "numTestFailures=\"$numTestFailures\" " .
  "numCommandPasses=\"$numCommandPasses\" " .
  "numCommandFailures=\"$numCommandFailures\" " .
  "numCommandErrors=\"$numCommandErrors\" ".
  "/>";

$handle = fopen("TestSummary.xml", "w");
$writer = fwrite($handle, $xmlText);
fclose($handle);

?>

<html><body>
<pre>

Result: <?= $result ?><br>
Total Time: <?= $totalTime ?><br>
# Passes: <?= $numTestPasses ?><br>
# Failures: <?= $numTestFailures ?><br>
# Command Passes: <?= $numCommandPasses ?><br>
# Command Failures: <?= $numCommandFailures ?><br>
# Command Errors: <?= $numCommandErrors ?><br>

<br><br>
<?print_r($_POST)?>
</pre>
</body></html>

