#!/bin/bash

#    Psiphon Circumvention Platform
#    Copyright (C) 2009 Psiphon Inc.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

output_file="psiphon_lang.csv"

rm -f *.csv

echo Beginning dump to $output_file
echo
php lang2csv.php > psiphon_lang.csv
head $output_file
echo
echo "Dump complete. Does the above look correct?"

echo
echo "Splitting files into languages..."
php split_csv.php $output_file
echo "Split done"

echo
echo "Making zip..."
zip -r `date +%Y%m%d`_lang.zip *.csv
echo "Zip done"

echo 
echo "COMPLETE"


