<?
/*
    Psiphon Circumvention Platform
    Copyright (C) 2009 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// chk.php - server health monitoring script
//
// expects an argument of the form lu=url where url is a url-encoded login URL for this
// $_SERVER[HTTP_HOST] 
//
// lookup $_SERVER[HTTP_HOST] and login_url in proxy table

include_once($_SERVER[DOCUMENT_ROOT]."/includes/common_includes.php");

$query = "SELECT * FROM proxy WHERE login_url = :login_url and hostname = :hostname";
$result = db_query_execute($config, $query, convert_null_array(
            array(
                ":login_url" => $_GET[u], 
                ":hostname" => $_SERVER[HTTP_HOST]
                )
            ));

if (!db_fetch_result($config, $result))
{
    include($_SERVER[DOCUMENT_ROOT]."/http-errors/404.php");
}

exit(":-)\n"); //happy face if everything works
?>
