<?php
function xml_is_tags($cont) {
    if (($p=strpos($cont, "<"))===false) return(false);
    if (strpos($cont, ">", $p)===false) return(false);
    return(true);
}


function xml_clean($cont) {
    $res=str_replace("\t", " ", $cont);
    $res=str_replace("\r", " ", $res);
    $res=str_replace("\n", " ", $res);
    while (strstr($res, "  ")) $res=str_replace("  ", " ", $res);
    return($res);
}


function xml_param($tag, $n, $par, $cont, $use_single_quotes=false) {
    if($use_single_quotes == false)
        $quote = "\"";
    else
        $quote = "'";
    $p=0;
    for ($i=0; $i<=$n; $i++) {
        if (($p=strpos($cont, "<".$tag, $p))===false) return(false);
        $p++;
    }
    $res=substr($cont, $p);

    if (($p=strpos($res, ">"))===false) return(false);
    $res=substr($res, 0, $p);

    if (($p=strpos($res, " {$par}={$quote}"))===false) return xml_param($tag, $n, $par, $cont, true);
    $p+=strlen(" {$par}=\"");
    $res=substr($res, $p);

    if (($p=strpos($res, "{$quote}"))===false) return(false);
    $res=substr($res, 0, $p);

    return($res);
}


function xml_get($tag, $n, $cont) {
    $p=0;

    for ($i=0; $i<=$n; $i++) {
        if (($p=strpos($cont, "<".$tag, $p))===false) return(false);
        $p++;
    }
    $res=substr($cont, $p);

    
    $stopstrings = array(" ", "\t", "\n", "\r\n", ">");

    $check_tag = false;

    while($s = array_pop($stopstrings))
        $check_tag = ($check_tag || (strpos($res[strlen($tag)], $s )) === 0);

    if (!$check_tag)
        return(xml_get($tag, $n, $res));


    if (($p=strpos($res, ">"))===false) return(false);

    if ($res{$p-1}=="/") return(false);

    $res=substr($res, $p+1);

    if (($p=strpos($res, "</{$tag}>"))===false) return(false);
    $res=substr($res, 0, $p);

    return($res);
}

?>
