CREATE TABLE `js_injection` (
`id` int(11) NOT NULL AUTO_INCREMENT,
`description` char(255) DEFAULT NULL,
`valid_from` int(11) DEFAULT NULL,
`valid_to` int(11) DEFAULT NULL,
`notes` char(255) DEFAULT NULL,
`injection_code` text NOT NULL,
PRIMARY KEY (`id`)
); 
CREATE INDEX idx_valid_from ON js_injection (valid_from);
CREATE INDEX idx_valid_to ON js_injection (valid_to);
CREATE INDEX idx_description ON js_injection (description);
CREATE INDEX idx_notes ON js_injection (notes);

CREATE TABLE `js_injection_proxy` (
`js_injection_id` int(11) NOT NULL DEFAULT '0',
`proxy_id` int(11) NOT NULL DEFAULT '0',
PRIMARY KEY (`js_injection_id`,`proxy_id`)
);

CREATE TABLE `js_injection_user_optout` (
`created` int(11) NOT NULL DEFAULT '0',
`js_injection_id` int(11) NOT NULL DEFAULT '0',
`user_id` int(11) NOT NULL DEFAULT '0',
PRIMARY KEY (`js_injection_id`,`user_id`)
);

CREATE TABLE `js_injection_session_optout` (
`created` int(11) NOT NULL DEFAULT '0',
`js_injection_id` int(11) NOT NULL DEFAULT '0',
`psiphon_session` char(32) NOT NULL DEFAULT '',
PRIMARY KEY (`js_injection_id`,`psiphon_session`)
);
