<?php
include($_SERVER[DOCUMENT_ROOT]."/includes/url_helpers.php");

/* JS format strings begin*/
$single_video_thumbnail_frmt = <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'flvplayer', width, height, "7");
    psiPlayer.addVariable('file', '%s' + '#.flv');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.addVariable('image', '%s' + '#.jpg');
    psiPlayer.write(element);
JS;
$rfa_slideshow_format= <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject('/site-compat/rfa.org/mandarin/RFASlideShare.swf?data=/site-compat/rfa.org/mandarin/rfa_slideshow.php', 'RFASlideShare', width, height, "7");
    psiPlayer.write(element);
JS;
$single_video_frmt = <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'flvplayer', width, height, "7");
    psiPlayer.addVariable('file', '%s' + '#.flv');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.write(element);
JS;
/* JS format strings end*/

$optionsJSON = $_GET["optionsJSON"];
$options = json_decode($optionsJSON, true);
//print_r($options);
//exit;
if ($options[attributes] && $options[attributes][src])
{
    $movie = $options[attributes][src];
}
else if ($options[embed] && $options[embed][src])
{
    $movie = $options[embed][src];
}
else
{
    $movie = $options[params][movie];
}

if(!$movie)
{ 
    exit();
}
header('Content-Type: application/javascript');
if (preg_match('/youtube\.com/', $movie))
{
    /*
     * YouTube
     */
    if (!preg_match("|/v/([^\?]+)|", $movie, $matches)&& !preg_match("|/v/([^&]+)|", $movie, $matches))
        preg_match("|/v/(.*?)$|", $movie, $matches);
    $video_id = $matches[1];

    $contents = rawurldecode(file_get_contents("http://www.youtube.com/get_video_info?video_id=$video_id"));
    preg_match("|&thumbnail_url=(.*?)&|", $contents, $matches);

    $video_thumbnail = make_proxied_url(rawurldecode($matches[1]), true); //base64 encoded

    preg_match("|stream_map=3[4,5]\|(http://[^\|]+)|", $contents, $matches);

    $video_url = make_proxied_url($matches[1], true);

    if($video_url &&  $video_thumbnail)
        exit(printf($single_video_thumbnail_frmt, $video_url, $video_thumbnail));
    if($video_url )
        exit(printf($single_video_frmt, $video_url));
}
else if ($options[embed][src] == "RFASlideShare.swf")
{
    exit($rfa_slideshow_format);
}
?>
