/*
 * Copyright (c) 2010, Psiphon Inc.
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include "webbrowser.h"
#include "proxysettings.h"

class SSHTunnel
{
public:
    SSHTunnel(void);
    virtual ~SSHTunnel(void);
    void StartUp(void);
    void ShutDown(void);
    bool ShuttingDown(void);

private:
    void TearDown(void);

    HANDLE m_listenThread;
    bool m_shuttingDown;
    WebBrowser m_webBrowser;
    ProxySettings m_proxySettings;
};
