#include <apr_pools.h>
#include <apr_uri.h>
#include <stdlib.h>

#if APR_HAVE_UNISTD_H
#include <unistd.h>         /* for getpid() */
#endif

//#define BUF_CHUNK 128
//#define BUF_MAX_SIZE 512

#define BUF_MAX_SIZE  524288
#define BUF_CHUNK 8192

typedef struct stringbuf
{
    char* buf ;
    size_t offset ;
    size_t avail ;
} stringbuf;

int stringbuf_resize(apr_pool_t* pool, stringbuf* ctx, const size_t len);

int stringbuf_append(apr_pool_t* pool, stringbuf* ctx, const char* buf,
                             const size_t len);
char* stringbuf2str(apr_pool_t* pool, stringbuf* ctx);

