#!/usr/bin/perl -w

# Psiphon Circumvention Platform
# Copyright (C) 2009 Psiphon Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require("config.pl");
$|=1;
#$http_host=$ENV{'HTTP_HOST'};
$headers = &BuildHeaders($node, $port);
GetHTTP($node, $port, $headers);
exit 0;
sub ucwords
{
 $str = shift;
 $str = lc($str);
 $str =~ s/\b(\w)/\u$1/g;
 return $str;
}
sub GetHTTP {
  use Socket;
  use Net::SSLeay::Handle qw/shutdown/;
  my($node,$port,$headers) = @_;
  my ($iaddr, $paddr, $proto);
  $sockaddr = 'S n a4 x8';
  if ($port =~ /\D/) { $port = getservbyname($port, 'tcp') }
  die "No port" unless $port;
  $thisaddr   = inet_aton($ENV{'SERVER_ADDR'});
  $thataddr   = gethostbyname($node);
  $this   = pack($sockaddr, AF_INET, 0, $thisaddr);
  $that   = pack($sockaddr, AF_INET, $port, $thataddr);
  $proto   = getprotobyname('tcp');
  socket(SOCK, PF_INET, SOCK_STREAM, $proto)  || die "socket: $!";
  $socket = \*SOCK;
  bind($socket, $this)    || die "bind: $!";
  connect($socket, $that)    || die "connect: $!";
  tie(*S2, "Net::SSLeay::Handle", $socket) || die "tie: $!";
  $socket = \*S2;
  select($socket); $| = 1; select(STDOUT);
  print $socket $headers;

	$data = '';
	$left = 0;
	if(defined($ENV{'CONTENT_LENGTH'}) )
	{
		$left = $ENV{'CONTENT_LENGTH'};
	}

	while($left)
	{
		$read_size = $left<4096 ? $left : 4096;
		read(STDIN, $data, $read_size);
		print $socket $data;
		$left -= $read_size;
	}

#  $replace_hdr = 0;
#  $to_replace = "$node";
#  if($port != 443) {
#    $to_replace .= ":$port";
#  }
  select(STDOUT); $| = 1;

  while($rcv_data = <$socket>)
  {
#    if(substr($rcv_data, 0, 10) eq "Location: ")
#    {
#        if(substr($rcv_data, 10, 7) eq "http://") {$replace_hdr = 1;}
#        if(substr($rcv_data, 10, 8) eq "https://") {$replace_hdr = 1;}
#        if(substr($rcv_data, 10, 6) eq "ftp://") {$replace_hdr = 1;}
#    }

#    if($replace_hdr){$rcv_data=~ s/$to_replace/$http_host/; $replace_hdr = 0;}
    print $rcv_data;
  }
  close ($socket) || die "close: socket!";
}
sub BuildHeaders {
   my($node,$port) = @_;
   if(defined($ENV{'CONTENT_TYPE'}) ){$ENV{'HTTP_CONTENT_TYPE'} = $ENV{'CONTENT_TYPE'};}
   if(defined($ENV{'CONTENT_LENGTH'}) ){$ENV{'HTTP_CONTENT_LENGTH'} = $ENV{'CONTENT_LENGTH'};}
   if(defined($ENV{'REMOTE_ADDR'}) ){$ENV{'HTTP_X_FORWARDED_FOR'} = $ENV{'REMOTE_ADDR'};}
   if(defined($ENV{'HTTP_CONNECTION'}) ){$ENV{'HTTP_CONNECTION'} = "close";}
   delete($ENV{'HTTP_KEEP_ALIVE'});
#   if (defined($ENV{'HTTP_KEEP_ALIVE'})) { undef($ENV{'HTTP_KEEP_ALIVE'}); }

   $return = '';

   $request_uri = defined($ENV{'REQUEST_URI'}) ? $ENV{'REQUEST_URI'} : '';
   $proto = defined($ENV{'SERVER_PROTOCOL'}) ? $ENV{'SERVER_PROTOCOL'} : '';
   $method = defined($ENV{'REQUEST_METHOD'}) ? $ENV{'REQUEST_METHOD'} : '';
  
  
   $return .= "$method $request_uri $proto\r\n";
   foreach $key (keys %ENV)
   {
       if ($key =~ m/HTTP_/)
       {
          $name = $key;
          $name=~ s/_/ /g ;
          $l = lc($name);
          $name = ucwords($l);
          $name=~ s/ /-/g ;
          $name=~ s/Http-//g ;
#          if ($name =~ m/Host/) {
#              if($port != 443) {
#                $ENV{$key} = "$node:$port";
#               }
#               else {
#                $ENV{$key} = "$node";
#               }
#          }
          $return .= "$name: $ENV{$key}\r\n";
       }
   }
   $return .= "\r\n";
   return $return;
   
}
