#!/bin/sh

#    Psiphon Circumvention Platform
#    Copyright (C) 2009 Psiphon Inc.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Database settings
db_name="psiphon"
db_user="root"
db_pass=""

# Dump settings
dump_program="/usr/local/bin/mysqldump"
dump_flags="-u${db_user} -p${db_pass} -Qq --add-drop-table --skip-extended-insert --skip-add-locks --skip-lock-tables --compatible=mysql323"

# Filenames
fn_structure="structure.sql"
fn_jsf="jsf.sql"
fn_init="init.sql"


# Dump the database structure
${dump_program} ${dump_flags} -d "${db_name}" > "${fn_structure}"

# Dump the JavaScript filter table
${dump_program} ${dump_flags} "${db_name}" jsf > "${fn_jsf}"

