--
-- Modifications to table proxy(randomizing '/001/')
-- login_url should be long enough to hold up to 32 url encoded chars(nx3 max) and forward slash(97 total)
--
ALTER TABLE proxy ADD COLUMN login_url char(97) default '';
ALTER TABLE proxy ADD INDEX idx_login_url (login_url);
UPDATE proxy set login_url='/001/' where login_url='';

--
-- Modifications to table user(randomizing '/001/')
--
ALTER TABLE user ADD INDEX idx_proxy (proxy);
--
-- Modifications to table proxy(using hostname not IPs)
--
UPDATE proxy SET hostname=INET_NTOA(addr) WHERE hostname='';
CREATE UNIQUE INDEX idx_hostname ON proxy (hostname);
ALTER TABLE proxy DROP COLUMN addr;
