<?php
/*
    Psiphon Circumvention Platform
    Copyright (C) 2009 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include("php-utf8/utf8.inc");

function utf8_decode_string($lang_id, $str)
{
    // We don't need to check for English, since it won't be encoded anyway.
    // Is the string encoded?
    if (substr($str, 0, 2) != "&#")
    {
        // Not encoded
        return $str;
    }

    return unicodeToUtf8(explode(";&#", substr($str, 2, -1)));
}

function utf8_encode_string($lang_id, $str)
{
    if (substr($str, 0, 2) == "&#")
    {
        print_r(debug_backtrace());
        exit("ERROR: Attempted to re-encode encoded string");
    }

    // We don't encode English
    if ($lang_id == "en")
    {
        return $str;
    }

    return "&#".implode(";&#", utf8ToUnicode($str)).";";
}

?>
