
<?
/*
    Psiphon Circumvention Platform
    Copyright (C) 2010 Psiphon Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

//
// delete.php
//
// This script is a called by xhr from list.php in order to delete a js_injection record 
// from DB
//

include_once($_SERVER[DOCUMENT_ROOT]."/includes/common_includes.php");
include($_SERVER[DOCUMENT_ROOT]."/check_user.php");
if (!user_has_permission($config, $record_user, "can_inject_js"))
{
    include($_SERVER[DOCUMENT_ROOT]."/http-errors/403.php");
    // 403.php exits
}
if ($_POST["js_injection_id"]=(int)$_POST["js_injection_id"])
{
    //delete js_injection_proxy records 
    $query = "DELETE FROM js_injection_proxy WHERE js_injection_id  = :id";
    db_query_execute($config, $query, convert_null_array(array(":id" => $_POST["js_injection_id"])));

    //delete actual js_injection record and check affected rows
    $query = "DELETE FROM js_injection WHERE id = :id";
    $result = db_query_execute($config, $query, convert_null_array(array(":id" => $_POST["js_injection_id"])));
    if (db_num_rows_affected($result))
    {
        syslog(LOG_DEBUG, "DELETE FROM js_injection WHERE id = ".$_POST["js_injection_id"]);
        //output something meaningful for xhr.response
        print (json_encode(array("status"=>"deleted")));
        exit(0);
    }

}
