<?php
include("includes/url_helpers.php");
$single_video_thumbnail_frmt = <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'flvplayer', width, height, "7");
    psiPlayer.addVariable('file', '%s' + '#.flv');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.addVariable('image', '%s' + '#.jpg');
    psiPlayer.write(element);
JS;
$rfa_slideshow_format= <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject('/rfa/RFASlideShare.swf?data=/rfa/rfa_slideshow.php', 'RFASlideShare', width, height, "7");
    psiPlayer.write(element);
JS;
$single_video_frmt = <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'flvplayer', width, height, "7");
    psiPlayer.addVariable('file', '%s' + '#.flv');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.write(element);
JS;
$voa_small_player_video_frmt = <<<JS
    width = options.attributes.width;
    height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'ply', width, height, "7");
    psiPlayer.addVariable('file', '%s');
    psiPlayer.addVariable('playlist','over');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.write(element);

JS;
$voa_tv_player_video_frmt = <<<JS
    width = options.attributes.width;
    height = '380';
    //height = options.attributes.height;
    psiPlayer = new SWFObject("/flash/4.5/player.swf", 'ply', width, height, "7");
    psiPlayer.addVariable('file', '%s');
    //psiPlayer.addVariable('playlist','over');
    psiPlayer.addVariable('playlist','right');
    psiPlayer.addVariable('playlistsize','250');
    psiPlayer.addParam('wmode','opaque');
    psiPlayer.addVariable('autostart', false);
    psiPlayer.write(element);
    var ni = document.getElementById(element);
    var newdiv = document.createElement('div');
    newdiv.innerHTML = '%s';
    ni.appendChild(newdiv);

JS;
$optionsJSON = $_GET["optionsJSON"];
$options = json_decode($optionsJSON, true);
header('Content-Type: application/javascript');
//print_r($options);
//exit;
if ($options[attributes] && $options[attributes][src])
    $movie = $options[attributes][src];
else if ($options[embed] && $options[embed][src])
    $movie = $options[embed][src];
else
    $movie = $options[params][movie];
if($movie)
{ 
    if (preg_match('/youtube\.com/', $movie))
    {
        /*
         * YouTube
         */
        if (!preg_match("|/v/([^\?]+)|", $movie, $matches)&& !preg_match("|/v/([^&]+)|", $movie, $matches))
                preg_match("|/v/(.*?)$|", $movie, $matches);
        $video_id = $matches[1];

        $contents = rawurldecode(file_get_contents("http://www.youtube.com/get_video_info?video_id=$video_id"));
        preg_match("|&thumbnail_url=(.*?)&|", $contents, $matches);

        $video_thumbnail = make_proxied_url(rawurldecode($matches[1]), true); //base64 encoded

        preg_match("|stream_map=3[4,5]\|(http://[^\|]+)|", $contents, $matches);

        $video_url = make_proxied_url($matches[1], true);
       
        if($video_url &&  $video_thumbnail)
            exit(printf($single_video_thumbnail_frmt, $video_url, $video_thumbnail));
        if($video_url )
            exit(printf($single_video_frmt, $video_url));
    }
    elseif (preg_match('/vimeo\.com/', $movie))
    {
        /*
         * Vimeo
         */
        preg_match('|clip_id=(\d+)|', $movie, $matches);
        $video_id = $matches[1];

        $contents = file_get_contents("http://www.vimeo.com/moogaloop/load/clip:$video_id");

        preg_match("|<request_signature>(.*?)</request_signature>|", $contents, $matches);
        $request_signature = $matches[1];
        preg_match("|<request_signature_expires>(.*?)</request_signature_expires>|", $contents, $matches);
        $request_signature_expires = $matches[1];
        $video_url = "http://www.vimeo.com/moogaloop/play/clip:$video_id/$request_signature/$request_signature_expires/?q=sd";

        preg_match("|<thumbnail>(.*?)</thumbnail>|", $contents, $matches);
        $video_thumbnail = $matches[1];
        if($video_url &&  $video_thumbnail)
            exit(printf($single_video_thumbnail_frmt, make_proxied_url($video_url,true), 
                            make_proxied_url($video_thumbnail, true)));
        if($video_url )
            exit(printf($single_video_frmt, make_proxied_url($video_url)));
    }
    else if (preg_match('/metacafe\.com/', $movie))
    {
        /*
         * Metacafe
         */
        preg_match('|fplayer/(\d+)/|', $movie, $matches);
        $video_id = $matches[1];
        $contents = file_get_contents("http://www.metacafe.com/api/item/$video_id/");
        preg_match('|<media:thumbnail url="(.*?)" />|', $contents, $matches);
        $video_thumbnail = $matches[1];
        $contents = file_get_contents("http://www.metacafe.com/watch/$video_id/");
        preg_match('|&mediaURL=(.*?)&|', $contents, $matches);
        $video_url = urldecode($matches[1]);
        if($video_url &&  $video_thumbnail)
            exit(printf($single_video_thumbnail_frmt, make_proxied_url($video_url, true), 
                        make_proxied_url($video_thumbnail)));
        if($video_url )
            exit(printf($single_video_frmt, make_proxied_url($video_url)));
    }
    else if ($options[embed][src] == "RFASlideShare.swf")
    {
        exit($rfa_slideshow_format);
    }
    else if ($options[embed][src] == "http://serve.a-widget.com/service/getWidgetSwf.kickAction")
    {
        include("includes/xml.php");
        include("voanews/voanews_channels.php");
        $str = $options[embed][flashvars];
        parse_str($str, $flashvars);
        $url = "http://serve.a-widget.com/service/getWidget.kickAction?revision={$flashvars[revision]}"
            . "&as={$flashvars[affiliateSiteId]}"
            . "&widgetId={$flashvars[widgetId]}";
        $contentsJSON = file_get_contents($url);
        $tmp = json_decode($contentsJSON, true);
        $contents = json_decode($tmp[widgetJson], true);
        //print_r($contents);
        //exit;

        //small player with no channels
        if($mediaURL = $contents[properties][children][0][properties][mediaURL])
        {
            $feedURL = base64_encode($mediaURL);
            exit(printf($voa_small_player_video_frmt, "/voanews/voa2jw_rss.php?feedURL=$feedURL"));
        }
        //probably large player, lets find it's feed
        if(!$contents[children])
            $contents = $contents[properties];
        if(!$contents[children])
            exit;
        foreach($contents[children] as  $child)
        {
            if($mediaURL = $child[properties][mediaURL])
                break;
        }

        if(!$mediaURL)
            exit();

        $feedURL = base64_encode($mediaURL);
        exit(printf($voa_tv_player_video_frmt, "/voanews/voa2jw_rss.php?feedURL=$feedURL", voaChannelsHTML($contents)));
    }
}
exit();
?>
