<?php
include($_SERVER[DOCUMENT_ROOT]."/includes/xml.php");
include($_SERVER[DOCUMENT_ROOT]."/includes/cr.php");
include($_SERVER[DOCUMENT_ROOT]."/includes/url_helpers.php");
@$feed =  file_get_contents("http://www.rfa.org/mandarin/slideshare.xml?m=". time());
if(!$feed)
   exit; 
$slides_xml = xml_get("slides", 0, $feed);
$properties_xml = xml_get("properties", 0, $feed);

$i = 0;
while($slide_xml = xml_get("slide", $i, $slides_xml))
{
    if("image" == xml_get("type", 0, $slide_xml))
    {
        $slide[$i][image] = make_proxied_url(xml_get("image", 0, $slide_xml), true/*URL encode it*/);
        $slide[$i][link] = make_proxied_url(xml_get("link", 0, $slide_xml));
        $slide[$i][caption] = xml_get("caption", 0, $slide_xml);
        $i++;
    }
}
echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<slideshow>
<properties>
$properties_xml
</properties>
<slides>

XML;

foreach($slide as $s)
{
    echo "<slide>\n";
    echo "<type>image</type>\n";
    echo "<image>{$s[image]}</image>\n";
    echo "<link>{$s[link]}</link>\n";
    echo "<caption>{$s[caption]}</caption>\n";
    echo "</slide>\n";
}
echo <<<XML
</slides>
</slideshow>

XML;
