<?php
include($_SERVER[DOCUMENT_ROOT]."/includes/xml.php");
include($_SERVER[DOCUMENT_ROOT]."/includes/url_helpers.php");
function get_youtube_url($url)
{
    if (preg_match('%youtube\.com/(.+)%', $url, $match)) 
    {
        $match = $match[1];
        $replace = array("watch?v=", "v/", "vi/");
        $video_id = substr(str_replace($replace, "", $match), 0, 11);
        $contents = rawurldecode(file_get_contents("http://www.youtube.com/get_video_info?video_id=$video_id"));
        preg_match("|&thumbnail_url=(.*?)&|", $contents, $matches);

        $video_thumbnail = make_proxied_url(rawurldecode($matches[1]), true); //base64 encoded

        preg_match("|3[4,5]\|(http://[^\|]+)|", $contents, $matches);

        return $matches[1]?$matches[1]:false;
    }
    return false;
}
$feedURL = base64_decode($_GET[feedURL]);
$attributesId = $_GET[attributesId];
@$feed =  file_get_contents($feedURL);
if(!$feed)
{
   exit; 
}
if($attributesId == "kickWidget_97573_474510" ||
        $attributesId == "kickWidget_97573_476552" || 
        $attributesId == "kickWidget_97573_413271") //youtube feeds
{
    $channel_xml =  xml_get("feed", 0, $feed);
    $channel[title] =  xml_get("title", 0, $channel_xml);

    $i = 0;
    while($item_xml = xml_get("entry", $i, $channel_xml))
    {

        $channel[item][$i][title] =  html_entity_decode(xml_get("title", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode(xml_get("content", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode($channel[item][$i][description], 0, 'UTF-8');
        $video_url =  get_youtube_url(xml_param("media:content", 0, "url", $item_xml));
        if($video_url)
            $channel[item][$i][media_url] = make_proxied_url($video_url, true/*URL encode it*/)."#.flv";
        if($media_thumbnail_url = xml_param("media:thumbnail", 0, "url", $item_xml))
            $channel[item][$i][thumbnail_url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
        if($media_thumbnail_url = xml_param("media:thumbnail", 1, "url", $item_xml))
            $channel[item][$i][playlist_thumbnail_url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
        $i++;
    }
echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:jwplayer="http://developer.longtailvideo.com/trac/" >
<channel>
<title>{$channel[title]}</title>
<description>{$channel[description]}</description>

XML;

foreach( $channel[item] as $item)
{
    echo "<item>\n";
    echo "<title>";
    echo $item[title];
    echo "</title>\n";
    echo "<description>";
    echo $item[description];
    echo "</description>\n";
    echo "<media:content url=\"{$item[media_url]}\">\n";
    if($item[thumbnail_url])
    {
        echo "<media:thumbnail url=\"{$item[thumbnail_url]}\"/>\n";
    }
    if($item[playlist_thumbnail_url])
    {
        echo "<jwplayer:playlist.image>{$item[playlist_thumbnail_url]}</jwplayer:playlist.image>\n";
    }
    echo "</media:content>\n";
    echo "</item>\n";
}
echo <<<XML
</channel>
</rss>

XML;
}
else if($attributesId == "kickWidget_97573_357639") //mp3 player
{
    //exit($feedURL);
    $channel_xml =  xml_get("channel", 0, $feed);
    $channel[title] =  xml_get("title", 0, $channel_xml);
    $channel[description] =  xml_get("description", 0, $channel_xml);

    $i = 0;
    while($item_xml = xml_get("item", $i, $channel_xml))
    {
        $channel[item][$i][title] =  html_entity_decode(xml_get("title", 0, $item_xml), 0, 'UTF-8');
        $UnixPubDate = strtotime(xml_get("pubDate", 0, $item_xml));
        $channel[item][$i][description] = date("m/d/Y", $UnixPubDate);
        $channel[item][$i][enclosure][url] = 
            make_proxied_url(html_entity_decode(xml_param("enclosure", 0, "url", $item_xml), 0, 'UTF-8'), true/*URL encode it*/)."#.mp3";
        $channel[item][$i][enclosure][type] = xml_param("enclosure", 0, "type", $item_xml);
        $channel[item][$i][enclosure][length] = xml_param("enclosure", 0, "length", $item_xml);
        $i++;
    }

    echo <<<XML
<?xml version='1.0' encoding='UTF-8'?><rss version="2.0" xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" xmlns:pl="http://www.theplatform.com/rss/">
<channel>

XML;
echo <<<XML
<title>{$channel[title]}</title>
<description>{$channel[description]}</description>

XML;

    foreach( $channel[item] as $item)
    {
        echo "<item>\n";
        echo "<title>";
        echo $item[title];
        echo "</title>\n";
        echo "<description>";
        echo $item[description];
        echo "</description>\n";
        echo "<enclosure url=\"{$item[enclosure][url]}\" type=\"{$item[enclosure][type]}\" length=\"{$item[enclosure][length]}\"/>\n";
        echo "</item>\n";
    }
    echo <<<XML
</channel>
</rss>
XML;
}
