<?php
include($_SERVER[DOCUMENT_ROOT]."/includes/xml.php");
include($_SERVER[DOCUMENT_ROOT]."/includes/url_helpers.php");
$feedURL = base64_decode($_GET[feedURL]);
@$feed =  file_get_contents($feedURL);
if(!$feed)
   exit; 
$channel_xml =  xml_get("channel", 0, $feed);
$channel[title] =  xml_get("title", 0, $channel_xml);
$channel[description] =  xml_get("description", 0, $channel_xml);

$i = 0;
while($item_xml = xml_get("item", $i, $channel_xml))
{
    $j = 0;
    $channel[item][$i][title] =  html_entity_decode(xml_get("title", 0, $item_xml), 0, 'UTF-8');
    $channel[item][$i][description] =  html_entity_decode(xml_get("description", 0, $item_xml), 0, 'UTF-8');
    $channel[item][$i][description] =  html_entity_decode($channel[item][$i][description], 0, 'UTF-8');
    $channel[item][$i][media_url] = 
        make_proxied_url(xml_param("media:content", 0, "url", $item_xml), true/*URL encode it*/)."#.flv";
    while($media_thumbnail_url = xml_param("media:thumbnail", $j, "url", $item_xml))
    {
        $width = (int)xml_param("media:thumbnail", $j, "width", $item_xml);
        $height = (int)xml_param("media:thumbnail", $j, "height", $item_xml);
        if((int)$channel[item][$i][thumbnail][width] < $width &&
                (int)$channel[item][$i][thumbnail][height] < $height)
        {
            $channel[item][$i][thumbnail][url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
            $channel[item][$i][thumbnail][width] = $width;
            $channel[item][$i][thumbnail][height] = $height;
        }
        $j++;
    }
    $i++;
}

echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/">
<channel>

XML;
echo <<<XML
<title>{$channel[title]}</title>
<description>{$channel[description]}</description>

XML;

foreach( $channel[item] as $item)
{
    echo "<item>\n";
    echo "<title>";
    echo $item[title];
    echo "</title>\n";
    echo "<description>";
    echo $item[description];
    echo "</description>\n";
    echo "<media:content url=\"{$item[media_url]}\">\n";
    if($item[thumbnail][url])
    {
        echo "<media:thumbnail url=\"{$item[thumbnail][url]}\" width=\"{$item[thumbnail][width]}\" ";
        echo "height=\"{$item[thumbnail][height]}\"/>\n";
    }
    echo "</media:content>\n";
    echo "</item>\n";
}
echo <<<XML
</channel>
</rss>

XML;
