<?php
include($_SERVER[DOCUMENT_ROOT]."/includes/xml.php");
include($_SERVER[DOCUMENT_ROOT]."/includes/url_helpers.php");
function get_youtube_url($url)
{
    if (preg_match('%youtube\.com/(.+)%', $url, $match)) 
    {
        $match = $match[1];
        $replace = array("watch?v=", "v/", "vi/");
        $video_id = substr(str_replace($replace, "", $match), 0, 11);
        $contents = rawurldecode(file_get_contents("http://www.youtube.com/get_video_info?video_id=$video_id"));
        preg_match("|&thumbnail_url=(.*?)&|", $contents, $matches);

        $video_thumbnail = make_proxied_url(rawurldecode($matches[1]), true); //base64 encoded

        preg_match("|stream_map=3[4,5]\|(http://[^\|]+)|", $contents, $matches);

        return $matches[1]?$matches[1]:false;
    }
    return false;
}
$feedURL = base64_decode($_GET[feedURL]);
$widgetid = $_GET[widgetid];
@$feed =  file_get_contents($feedURL);
if(!$feed)
{
   exit; 
}
if($widgetid == 387286 || $widgetid == 387325) //youtube feed
{
    $channel_xml =  xml_get("feed", 0, $feed);
    $channel[title] =  xml_get("title", 0, $channel_xml);

    $i = 0;
    while($item_xml = xml_get("entry", $i, $channel_xml))
    {

        $channel[item][$i][title] =  html_entity_decode(xml_get("title", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode(xml_get("content", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode($channel[item][$i][description], 0, 'UTF-8');
        $video_url =  get_youtube_url(xml_param("media:content", 0, "url", $item_xml));
        if($video_url)
            $channel[item][$i][media_url] = make_proxied_url($video_url, true/*URL encode it*/)."#.flv";
        if($media_thumbnail_url = xml_param("media:thumbnail", 0, "url", $item_xml))
            $channel[item][$i][thumbnail_url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
        if($media_thumbnail_url = xml_param("media:thumbnail", 1, "url", $item_xml))
            $channel[item][$i][playlist_thumbnail_url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
        $i++;
    }
echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:jwplayer="http://developer.longtailvideo.com/trac/" >
<channel>

XML;
echo <<<XML
<title>{$channel[title]}</title>
<description>{$channel[description]}</description>

XML;

foreach( $channel[item] as $item)
{
    echo "<item>\n";
    echo "<title>";
    echo $item[title];
    echo "</title>\n";
    echo "<description>";
    echo $item[description];
    echo "</description>\n";
    echo "<media:content url=\"{$item[media_url]}\">\n";
    if($item[thumbnail_url])
    {
        echo "<media:thumbnail url=\"{$item[thumbnail_url]}\"/>\n";
    }
    if($item[playlist_thumbnail_url])
    {
        echo "<jwplayer:playlist.image>{$item[playlist_thumbnail_url]}</jwplayer:playlist.image>\n";
    }
    echo "</media:content>\n";
    echo "</item>\n";
}
echo <<<XML
</channel>
</rss>

XML;
}
else if($widgetid == 462908)
{
    $channel_xml =  xml_get("channel", 0, $feed);
    $channel[title] =  xml_get("title", 0, $channel_xml);
    $channel[description] =  xml_get("description", 0, $channel_xml);

    $i = 0;
    while($item_xml = xml_get("item", $i, $channel_xml))
    {
        $j = 0;
        $channel[item][$i][title] =  html_entity_decode(xml_get("title", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode(xml_get("description", 0, $item_xml), 0, 'UTF-8');
        $channel[item][$i][description] =  html_entity_decode($channel[item][$i][description], 0, 'UTF-8');
        $channel[item][$i][media_url] = 
            make_proxied_url(xml_param("media:content", 0, "url", $item_xml), true/*URL encode it*/)."#.flv";
        while($media_thumbnail_url = xml_param("media:thumbnail", $j, "url", $item_xml))
        {
            $width = (int)xml_param("media:thumbnail", $j, "width", $item_xml);
            $height = (int)xml_param("media:thumbnail", $j, "height", $item_xml);
            if((int)$channel[item][$i][thumbnail][width] < $width &&
                    (int)$channel[item][$i][thumbnail][height] < $height)
            {
                $channel[item][$i][thumbnail][url] = make_proxied_url($media_thumbnail_url, true/*URL encode it*/)."#.jpg";
                $channel[item][$i][thumbnail][width] = $width;
                $channel[item][$i][thumbnail][height] = $height;
            }
            $j++;
        }
        $i++;
    }
echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:jwplayer="http://developer.longtailvideo.com/trac/" >
<channel>

XML;
echo <<<XML
<title>{$channel[title]}</title>
<description>{$channel[description]}</description>

XML;

foreach( $channel[item] as $item)
{
    echo "<item>\n";
    echo "<title>";
    echo $item[title];
    echo "</title>\n";
    echo "<description>";
    echo $item[description];
    echo "</description>\n";
    echo "<media:content url=\"{$item[media_url]}\">\n";
    if($item[thumbnail][url])
    {
        echo "<media:thumbnail url=\"{$item[thumbnail][url]}\"/>\n";
    }
    echo "</media:content>\n";
    echo "</item>\n";
}
echo <<<XML
</channel>
</rss>

XML;
}
else
{
    exit();
}

